APIs / Dubizzle / Motors Search
Dubizzle: Motors Search
Motors Search from Dubizzle as JSON. 1 credit per successful call.
GET /v1/dubizzle/motors-search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Optional | Up to 200 characters |
emirate | string | Optional | dubai, abu-dhabi, sharjah, ajman, al-ain, ras-al-khaimah, umm-al-quwain, fujairah |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
page | integer | Optional | Any |
limit | integer | Optional | Any |
category | string | Optional | Any |
year_min | integer | Optional | Any |
year_max | integer | Optional | Any |
kilometers_min | integer | Optional | Any |
kilometers_max | integer | Optional | Any |
seller_type | string | Optional | dealer, owner |
sort | string | Optional | newest, oldest, price_asc, price_desc, mileage_asc, mileage_desc, year_asc, year_desc |
Example request
curl "https://api.perceptlayer.com/v1/dubizzle/motors-search?category=motors%2Fused-cars%2Fnissan%2Fpatrol&emirate=dubai&limit=3" \
-H "X-API-Key: $API_KEY"